; Music for A2600Intro
; SillyVenture2k12
; Jakub Husak
;
TEMPODELAY equ 5
; 000=square  001=bass  010=pitfall  011=noise
; 100=buzz    101=lead  110=saw      111=lowbass
soundTurnArray
	byte 9, 0, 8, 9
	byte 0, 6, 8, 0

square	equ 0<<5
bass	equ 1<<5
pitfall	equ 2<<5
qbass	equ 3<<5
buzz	equ 4<<5
lead	equ 5<<5
saw	equ 6<<5
lowbass	equ 7<<5

soundTypeArray
    byte 4,6,7,6
    byte 15,12,1,14

hatPattern
	byte %10100010
	byte %10101010
	byte %10100010
	byte %10001000

HATVOLUME equ 6
HATPITCH equ 1
HATSOUND equ 3

song1
    byte 0,0
WALKMEASURE equ *-song1     ;let it fade in before walking
	;run 6 steps, jump, run 8 steps
	byte 129,130,129,129
	; wait
	byte 0
TURNMEASURE equ *-song1
    byte 0
EXCLMEASURE equ *-song1
    byte 0
TURNMEASURE2 equ *-song1    ;stop turning
	byte 0
	; kick 10 times
KICKMEASURE equ *-song1
	byte 2,2
	byte 2,2,2
KICKLENGTH  equ *-song1-KICKMEASURE
	; wait
    byte 0
TURNMEASUR3 equ *-song1     ;turn back, admire your work
	byte 0,0,0
SIGNMEASURE equ *-song1     ;drop the sign
    byte 8,9
	; intromusic
	byte 1,1
	; here starts hihat
	byte 1,1
HATSTART equ *-song1
	; mainmusic
	byte 1,1
FADEMEASURE equ *-song1     ;flash screen, fade text
	byte 1,1
EORMEASURE  equ *-song1     ;start the EOR plasma (entirely black here)
SONGSTART   equ *-song1     ;song loops from here (can be before EORMEASURE now)
    echo "SONGSTART:", SONGSTART
    byte 1
SLIDEMEASURE equ *-song1    ;slide green in from the right
    byte 1
WIPEMEASURE equ *-song1     ;slide plasma in (similar to a vertical wipe, hence the name)
    byte 1
SCROLLSTART equ *-song1+1   ;text scrolls from here
	byte 1
	byte 1,1,1,1
	byte 1,1,1,1
	byte 1,1,1,1

FULLHATSTART equ *-song1
	byte 1,1,1,1
	byte 1,1,1,1
	byte 1,1,1,1
	byte 1,1,1,1
;song1

	byte 1,1,1,1
	byte 1,1,1,1
	byte 1,1,1,1
	byte 1,1,1,1

    echo "SONG1LEN:", *-song1
	; End of song marker
	byte 255

song2
    byte 0,0
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0
	byte 0,0,0
	byte 0,0,0,0,135,136
        byte 128,128
	
	byte 128,128,128,128
	byte 128,128

	byte 4,4,4,4
	byte 3,3,3,3
	byte 4,4,4,4
	byte 3,5,3,5

	byte 131,131,4,4
	byte 131,131,3,3
	byte 132,132,4,7
	byte 132,132,3,6
	
;song2
	byte 128,128,4,4
	byte 133,134,4,7
	byte 128,128,4,4
	byte 133,134,4,7
    echo "SONG2LEN:", *-song2
	; End of song marker
	byte 255

patternArrayH   ;begins with implicit mute = 0
	word BM1a10, BM1a11, BM1a12, BM1a2b ;1
	word kick,kick2,kick,kick2
	word perc1,perc1,perc1,perc1
	word perc2,perc3,perc2,perc3
	word perc4,perc4,perc4,perc5
	word perc1,perc1,perc1,perc6
	word perc2,perc3,perc2,perc6
    word drop0,drop1,drop2,drop3
    word drop4,drop4,drop4,drop4

patternArrayL
	word wziitd,wziitdu, wziitu,wziitud
	word step,step,step,step
	word step,step,jump1,jump2
	word p2s1,p3s1,p4s1,p5s1
	word p2s2,p3s2,p4s2,p5s2
	word  wziitu,wziitud,wziitd,wziitdu
	word  wziitu,wziitud,wziitd,p5s2
    word drop0a,drop1a,drop2a,drop3a
    word drop4a,drop4a,drop4a,drop4a

drop0
    byte bass|16,bass|16
    byte bass|17,bass|17
    byte bass|18,bass|18
    byte bass|19,bass|19
    byte %11111111

drop1
    byte bass|20,bass|20
    byte bass|21,bass|21
    byte bass|22,bass|22
    byte bass|23,bass|23
    byte %11111111

drop2
    byte bass|24,bass|24
    byte bass|25,bass|25
    byte bass|26,bass|26
    byte bass|27,bass|27
    byte %11111111

drop3
    byte bass|28,bass|28
    byte bass|29,bass|29
    byte bass|30,bass|30
    byte bass|30,bass|30
    byte %11111111

drop4
    byte bass|28,bass|28
    byte bass|28,bass|28
    byte bass|28,bass|28
    byte bass|28,bass|28
    byte %11111111
drop0a
    byte bass|15,bass|15
    byte bass|16,bass|16
    byte bass|17,bass|17
    byte bass|18,bass|18
    byte %11111111

drop1a
    byte bass|19,bass|19
    byte bass|20,bass|20
    byte bass|21,bass|21
    byte bass|22,bass|22
    byte %11111111

drop2a
    byte bass|23,bass|23
    byte bass|24,bass|24
    byte bass|25,bass|25
    byte bass|26,bass|26
    byte %11111111

drop3a
    byte bass|27,bass|27
    byte bass|28,bass|28
    byte bass|29,bass|29
    byte bass|29,bass|29
    byte %11111111

drop4a
    byte bass|29,bass|29
    byte bass|29,bass|29
    byte bass|29,bass|29
    byte bass|29,bass|29
    byte %11111111
; -------------------------
p2s2
	byte saw|20,saw|24
	byte 28|square
	byte $ff
	byte 18|square
	byte $ff
	byte 28|square
	byte $ff
	byte %11111110
p3s2
	byte pitfall|5,pitfall|6,$ff,$ff
	byte 26|square
	byte $ff
	byte 17|square
	byte $ff

	byte %11001010
p4s2
	byte saw|20,saw|24
	byte 18|square
	byte 18|square
	byte 28|square
	byte 28|square
	byte 18|square
	byte 18|square
	byte %11101011
p5s2
	byte pitfall|5,pitfall|6
	byte 13|square
	byte 7|square
	byte 11|lead
	byte 13|square
	byte 17|lead
	byte 12|square

	byte %11001010
p2s1
	byte saw|20,saw|24
	byte 18|lead
	byte $ff
	byte 15|lead
	byte $ff
	byte 18|lead
	byte $ff
	byte %11101010
p3s1
	byte pitfall|5,pitfall|6,$ff,$ff
	byte 17|lead
	byte $ff
	byte 11|lead
	byte $ff

	byte %11001010
p4s1
	byte saw|20,saw|24
	byte 28|square
	byte $ff
	byte 12|lead
	byte $ff
	byte 28|square
	byte $ff
	byte %11101010
p5s1
	byte pitfall|5,pitfall|6
	byte 13|square
	byte 7|square
	byte 11|lead
	byte 13|square
	byte 17|lead
	byte 12|square

	byte %11001010
perc6
	byte pitfall|26,$ff,saw|5,saw|7
	byte pitfall|3,pitfall|5,saw|6,pitfall|8
	byte %11101010
perc5
	byte pitfall|26,$ff,saw|2,saw|3
	byte pitfall|1,pitfall|4,saw|2,pitfall|5
	byte %11001010
perc4
	byte pitfall|26,$ff,$ff,$ff
	byte pitfall|1,pitfall|4,pitfall|2,pitfall|5
	byte %11001010
perc1
	byte pitfall|26,$ff,$ff,$ff
	byte pitfall|3,pitfall|4,$ff,$ff
	byte %11001100
perc2
	byte saw|20,saw|24,$ff,$ff,$ff,$ff,$ff,$ff
	byte %11000000
perc3
	byte pitfall|5,pitfall|6,$ff,$ff,$ff,$ff,$ff,$ff
	byte %11000000

kick
    byte $ff
    byte $ff
    byte $ff
    byte $ff
    byte $ff
    byte $ff
	byte $ff,$ff
	byte %11000000
kick2
	byte pitfall|26
	byte pitfall|27
	byte pitfall|28
	byte pitfall|29
    byte pitfall|30
    byte pitfall|31
	byte $ff,$ff
	byte $ff,$ff
	byte %00000000
jump1
	byte pitfall|7
	byte pitfall|6
	byte pitfall|5
	byte pitfall|4
	byte pitfall|3
	byte pitfall|2
	byte pitfall|1
	byte pitfall|0
	byte %11111111
jump2
	byte pitfall|0
	byte pitfall|1
	byte pitfall|2
	byte pitfall|3
	byte pitfall|4
	byte pitfall|5
	byte pitfall|6
	byte pitfall|7
	byte %11111111
step
	byte $ff,$ff,pitfall|31,$ff,$ff,$ff,$ff,$ff
	byte %10101010

BM1a10
	byte bass|14,bass|6, bass|14,qbass|13, bass|30,qbass|30,bass|14,bass|4
	byte %10101010
BM1a11
	byte bass|14,qbass|14, bass|30,bass|31, bass|14,bass|13,bass|14,qbass|14
	byte %10101010
BM1a12
	byte bass|30,qbass|31, bass|14,bass|14,bass|14,qbass|14,bass|30,bass|31
	byte %10101010
BM1a2b
	byte saw|14,saw|13,bass|24,qbass|23,saw|16,saw|16,bass|21,qbass|21
	byte %11001100

wziitu
	byte 28|square
	byte 27|square
	byte 28|square
	byte 29|square
	byte 28|square
	byte 27|square
	byte 28|square
	byte 29|square
	byte 255

wziitdu
	byte 19|lead
	byte 17|lead
	byte 15|lead
	byte 13|lead
	byte 11|lead
	byte 10|lead
	byte 9|lead
	byte 28|square
	byte 255
wziitud
	byte 28|square
	byte 9|lead
	byte 10|lead
	byte 11|lead
	byte 13|lead
	byte 15|lead
	byte 17|lead
	byte 19|lead
	byte 255

	
wziitd
	byte 18|lead
	byte 17|lead
	byte 18|lead
	byte 19|lead
	byte 18|lead
	byte 17|lead
	byte 18|lead
	byte 19|lead
	byte 255

EllipsoidData
    byte $0A, $59, $6F, $75, $20, $66, $6F, $75, $6E, $64, $20, $61, $6E, $20
    byte $65, $61, $73, $74, $65, $72, $20, $65, $67, $67, $2E, $20, $43, $6F
    byte $6E, $67, $72, $61, $74, $73, $21, $20, $48, $65, $72, $65, $27, $73
    byte $20, $61, $20, $73, $6E, $65, $61, $6B, $20, $70, $65, $65, $6B, $20
    byte $6F, $66, $20, $6D, $79, $20, $6E, $65, $78, $74, $20, $70, $72, $6F
    byte $64, $3A, $20, $68, $74, $74, $70, $3A, $2F, $2F, $79, $6F, $75, $74
    byte $75, $2E, $62, $65, $2F, $6F, $48, $67, $35, $53, $4A, $59, $52, $48
    byte $41, $30, $0A
